> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataspike.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a risk profile

> Returns a single risk profile by its identifier.



## OpenAPI

````yaml https://api.dataspike.io/openapi/kyt/public.json get /api/v4/kyt/risk-profiles/{id}
openapi: 3.1.0
info:
  description: >-
    Know Your Transaction (KYT) — blockchain address, transaction and transfer
    risk analysis.
  title: Dataspike KYT API
  version: '4.0'
servers: []
security: []
paths:
  /api/v4/kyt/risk-profiles/{id}:
    get:
      tags:
        - Risk Profiles
      summary: Get a risk profile
      description: Returns a single risk profile by its identifier.
      operationId: GET_/api/v4/kyt/risk-profiles/:id
      parameters:
        - description: Risk profile identifier.
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
            application/xml:
              schema:
                $ref: aaeddf5c-1841-4b40-adbf-a135e34f983e
          description: OK
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlainMessage'
            application/xml:
              schema:
                $ref: '#/components/schemas/PlainMessage'
          description: Profile not found.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RiskProfileResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/RiskProfileResponse'
          description: Risk profile.
      security:
        - ApiKey: []
components:
  schemas:
    PlainMessage:
      description: PlainMessage schema
      properties:
        message:
          type: string
      type: object
    RiskProfileResponse:
      description: RiskProfileResponse schema
      properties:
        created_at:
          format: date-time
          type: string
        id:
          example: b2c3d4e5-f6a7-4901-8cde-f12345678901
          format: uuid
          type: string
        name:
          example: Standard
          type: string
        thresholds:
          items:
            properties:
              amount:
                example: 100
                format: double
                type: number
              assets:
                example: 0.01
                format: double
                type: number
              currency:
                example: usd
                type: string
              is_active_for_monitoring:
                type: boolean
              type:
                example: SANCTIONS
                type: string
            type: object
          type: array
        updated_at:
          format: date-time
          type: string
      type: object
  securitySchemes:
    ApiKey:
      description: API token passed in the request header.
      in: header
      name: ds-api-token
      type: apiKey

````